SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Generic)  >   Novell ZENworks Vendors:   Novell
Novell ZENworks Bugs Let Remote Users Inject SQL Commands, Execute Arbitrary Code, and Obtain Potentially Sensitive Information
SecurityTracker Alert ID:  1032166
SecurityTracker URL:  http://securitytracker.com/id/1032166
CVE Reference:   CVE-2015-0780, CVE-2015-0781, CVE-2015-0782, CVE-2015-0783, CVE-2015-0784, CVE-2015-0785, CVE-2015-0786   (Links to External Site)
Date:  Apr 21 2015
Impact:   Disclosure of system information, Disclosure of user information, Execution of arbitrary code via network, User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  

Description:   Multiple vulnerabilities were reported in Novell ZENworks. A remote user can execute arbitrary code on the target system. A remote user can inject SQL commands. A remote user can obtain potentially sensitive information on the target system.

A remote user can send specially crafted data to trigger a stack overflow in the Preboot Policy Service and execute arbitrary code on the target system [CVE-2015-0786]. 'sztivi' (via HP's ZDI) reported this vulnerability.

A remote user can supply a specially crafted parameter value to 'GetStoredResult.class' to execute SQL commands on the underlying database [CVE-2015-0780]. 'Anonymous' (via HP's ZDI) reported this vulnerability.

A remote user can supply a specially crafted parameter value to 'schedule.ScheduleQuery' to execute SQL commands on the underlying database [CVE-2015-0782]. 'Anonymous' (via HP's ZDI) reported this vulnerability.

A remote authenticated user can exploit a flaw in the FileViewer to obtain potentially sensitive information [CVE-2015-0783]. 'Anonymous' (via HP's ZDI) reported this vulnerability.

A remote user can exploit a flaw in 'com.novell.zenworks.inventory.rtr.actionclasses.wcreports' to obtain potentially sensitive information [CVE-2015-0785]. 'Anonymous' (via HP's ZDI) reported this vulnerability.

A remote user can exploit a flaw in 'Rtrlet.class' to obtain Session ID information [CVE-2015-0784].'Anonymous' (via HP's ZDI) reported this vulnerability.

A remote user can exploit a directory traversal flaw in 'Rtrlet doPost' to execute arbitrary code [CVE-2015-0781].'Anonymous' (via HP's ZDI) reported this vulnerability.

Impact:   A remote user can execute arbitrary code on the target system.

A remote user can execute SQL commands on the underlying database.

A remote user can obtain potentially sensitive information.

Solution:   The vendor has issued a fix, available at:

http://download.novell.com/Download?buildid=BJbybNUmQRQ~

The vendor's advisory is available at:

https://www.novell.com/support/kb/doc.php?id=7016431

Vendor URL:  www.novell.com/support/kb/doc.php?id=7016431 (Links to External Site)
Cause:   Not specified
Underlying OS:  Windows (Any)

Message History:   None.


 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2019, SecurityGlobal.net LLC